FROM ncwms:2.2.9-with_api

COPY setenv.sh bin/
COPY server.xml tomcat-users.xml conf/
COPY config.xml .ncWMS2/
COPY styles/* .ncWMS2/.styles/

ARG username=oc_user
ARG password=password
ARG memory=8G

RUN set -euv; \
    # create password's digest (with some trimming)
    DIGEST=$( bash bin/digest.sh -a SHA-512 -i 100000 \
        -h org.apache.catalina.realm.MessageDigestCredentialHandler \
        ${password} | sed -n "s/${password}:\(.*\)/\1/p" ); \
    # replace {USER} and {PASS} tags with username and password's digest
    sed --in-place -e s/{USER}/${username}/ -e s/{PASS}/${DIGEST}/ \
                                                        conf/tomcat-users.xml; \
    chmod 400 conf/server.xml conf/tomcat-users.xml; \
    rm -rf /root/*

ENV NCWMS_MEMORY=${memory}